kas delete                 AFS Commands              kas delete


NAME

   kas   delete -- delete   entry   from   the  Authentication

                       Database.


   kas delete  -name <name of user>
   [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>]  [-cell <cell name>]
             [-servers <explicit list of authentication
           +
   servers> ]  [-noauth]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas del  -na <name> [-a <admin principal to use for
   authentication>]
   [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-no]  [-h]

   kas rm  -na <name> [-a <admin principal to use for
   authentication>]
   [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-no]  [-h]

DESCRIPTION

   Removes the entry  name  of  user  from  the  Authentication
   Database.    If  name  of  user is a user, he or she becomes
   unable to log in.  If name of user is a server,  it  becomes
   unreachable, because the TGS can no longer has anything with
   which to seal tickets for the server.

ARGUMENTS

   -name             specifies the name of the  Database  entry
                     to delete

   -admin_username   specifies  the  user  name under which the
                     issuer wishes to perform the command.  See
                     section  4.3  in  the Reference Manual for
                     more details.  -password_for_admin
                     specifies   the  issuer's  password.    If
                     provided here, the password is visible  on
                     the  screen.    If  the  issuer  does  not
                     provide it, it will be  prompted  for  and
                     not be visible on the screen.  See section
                     4.3  in  the  Reference  Manual  for  more
                     details.

   -cell             specifies  the  cell  in  which to run the
                     command, if  not  the  local  cell.    See
                     section  4.3  in  the Reference Manual for
                     more details.  -servers
                     specifies  the  database server machine(s)
                     with which to establish a connection.  See



                     section  4.3  in  the Reference Manual for
                     more details.  -noauth
                     establishes  an unauthenticated connection
                     between  the  Authentication  Servers  and
                     issuer,  whom they assign the unprivileged
                     identity anonymous rather than  attempting
                     mutual authentication.  See section 4.3 in
                     the Reference  Manual  for  more  details.
                     -help
                     prints the online help for  this  command.
                     Do  not  provide  any  other  arguments or
                     flags with this one.  See section  4.3  in
                     the Reference Manual for more details.

EXAMPLE

   In the following the issuer admin enters interactive mode in
   order to make it more convenient to delete three accounts at
   once.    The  password  typed  at  the  prompt does not echo
   visibly.

   % kas  Password for admin:   ka> del smith  ka> del pat  ka>
   del terry

PRIVILEGE REQUIRED

   Issuer  must  have  the  ADMIN  flag  set  in  his  or   her
   Authentication Database entry.

MORE INFORMATION
